## com.mysql.jdbc
Class CachedResultSetMetaData

    java.lang.Object
      com.mysql.jdbc.CachedResultSetMetaData

     class CachedResultSetMetaData

extends java.lang.Object

Field Summary
`(package private) java.util.Map` `columnNameToIndex` Map column names (and all of their permutations) to column indices
`(package private) Field[]` `fields` Cached Field info
`(package private) java.util.Map` `fullColumnNameToIndex` Map of fully-specified column names to column indices
`(package private) java.sql.ResultSetMetaData` `metadata` Cached ResultSetMetaData

Constructor Summary
`CachedResultSetMetaData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnNameToIndex

    java.util.Map columnNameToIndex

  Map column names (and all of their permutations) to column indices

### fields

    Field[] fields

  Cached Field info

### fullColumnNameToIndex

    java.util.Map fullColumnNameToIndex

  Map of fully-specified column names to column indices

### metadata

    java.sql.ResultSetMetaData metadata

  Cached ResultSetMetaData

Constructor Detail

### CachedResultSetMetaData

    CachedResultSetMetaData()